diff --git a/Languages/ISO639-1-LanguageCodes.rdf b/Languages/ISO639-1-LanguageCodes.rdf
index 9509456..ab6fda3 100644
--- a/Languages/ISO639-1-LanguageCodes.rdf
+++ b/Languages/ISO639-1-LanguageCodes.rdf
@@ -3181,9 +3181,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kongo</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kongo languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kongo</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kongo</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kongo-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kongo</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kongo</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kongo-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kikongo</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3193,9 +3193,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Korean</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Korean language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Korean</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">cor&#233;en</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Koreanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Korean</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">coréen</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Koreanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">choson-o</lcc-lr:hasIndigenousName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">hanguk-o</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
@@ -3206,11 +3206,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kuanyama</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kuanyama language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kuanyama</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kwanyama</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kuanyama</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kwanyama</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kwanyama-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kuanyama</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kwanyama</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kuanyama</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kwanyama</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kwanyama-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">oshikwanyama</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3220,9 +3220,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kurdish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kurdish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kurdish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kurde</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kurdisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kurdish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kurde</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kurdisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">zimany kurdy</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3232,11 +3232,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Lao</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Lao language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lao</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Laotian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lao</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">laotien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Laotisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Lao</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Laotian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">lao</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">laotien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Laotisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">pha xa lao</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3246,9 +3246,9 @@
         <rdf:type rdf:resource="&lcc-lr;AncientLanguage"/>
         <rdfs:label>Latin</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Latin language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Latin</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">latin</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Latein</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Latin</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">latin</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Latein</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">lingua latina</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3258,10 +3258,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Latvian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Latvian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Latvian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">letton</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Lettisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">latvie&#353;u valoda</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Latvian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">letton</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Lettisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">latviešu valoda</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3270,11 +3270,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Limburgan</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Limburgan; Limburger; Limburgish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Limburgan</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Limburger</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Limburgish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">limbourgeois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Limburgisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Limburgan</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Limburger</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Limburgish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">limbourgeois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Limburgisch</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3283,9 +3283,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Lingala</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Lingala language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lingala</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lingala</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Lingala</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Lingala</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">lingala</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Lingala</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">lingala</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3295,10 +3295,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Lithuanian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Lithuanian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lithuanian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lituanien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Litauisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">lietuvi&#371; kalba</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Lithuanian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">lituanien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Litauisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">lietuvių kalba</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3307,9 +3307,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Luba-Katanga</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Luba-Katanga language</skos:definition>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">luba-katanga</lcc-lr:hasFrenchName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Luba-Katanga</lcc-lr:hasEnglishName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Luba-Katanga-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasFrenchName xml:lang="fr">luba-katanga</lcc-lr:hasFrenchName>
+        <lcc-lr:hasEnglishName xml:lang="en">Luba-Katanga</lcc-lr:hasEnglishName>
+        <lcc-lr:hasGermanName xml:lang="ge">Luba-Katanga-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">tshiluba</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3319,11 +3319,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Luxembourgish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Luxembourgish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Luxembourgish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Letzeburgesch</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">luxembourgeois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Luxemburgisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">l&#235;tzebuergesch</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Luxembourgish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Letzeburgesch</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">luxembourgeois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Luxemburgisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">lëtzebuergesch</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3332,9 +3332,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Macedonian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Macedonian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Macedonian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mac&#233;donien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Makedonisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Macedonian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">macédonien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Makedonisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">makedonski</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3344,9 +3344,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Malagasy</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Malagasy languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Malagasy</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">malgache</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Malagassi-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Malagasy</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">malgache</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Malagassi-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">malagasy</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3356,9 +3356,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Malay</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Malay macrolanguage</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Malay (macrolanguage)</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">malais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Malaiisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Malay (macrolanguage)</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">malais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Malaiisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bahasa Malaysia</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3368,10 +3368,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Malayalam</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Malayalam language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Malayalam</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">malayalam</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Malayalam</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">malay&#257;&#7735;a&#7745;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Malayalam</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">malayalam</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Malayalam</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">malayāḷaṁ</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3380,9 +3380,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Maltese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Maltese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Maltese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">maltais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Maltesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Maltese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">maltais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Maltesisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">il-Malti</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3392,10 +3392,10 @@
         <rdf:type rdf:resource="&lcc-lr;ExtinctLanguage"/>
         <rdfs:label>Manx</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Manx language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Manx</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mannois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">manx</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Manx</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Manx</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">mannois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">manx</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Manx</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Gaelg</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3405,10 +3405,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Maori</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Maori language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Maori</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">maori</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Maori-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">m&#257;ori</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Maori</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">maori</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Maori-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">māori</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3417,10 +3417,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Marathi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Marathi language</skos:definition>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">marathe</lcc-lr:hasFrenchName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Marathi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Marathi</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">mar&#257;&#7789;&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasFrenchName xml:lang="fr">marathe</lcc-lr:hasFrenchName>
+        <lcc-lr:hasEnglishName xml:lang="en">Marathi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasGermanName xml:lang="ge">Marathi</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">marāṭī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3429,10 +3429,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Marshallese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Marshallese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Marshallese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">marshall</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Marschallesisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">M&#807;aje&#322;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Marshallese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">marshall</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Marschallesisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">M̧ajeł</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3441,9 +3441,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Mongolian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Mongolian languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mongolian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mongol</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Mongolisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Mongolian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">mongol</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Mongolisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">mongol</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3453,9 +3453,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Nauru</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Nauru language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Nauru</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">nauri</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Nauruanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Nauru</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">nauri</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Nauruanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nauru</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3465,11 +3465,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Navajo</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Navajo language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Navaho</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Navajo</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">navaho</lcc-lr:hasFrenchName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">din&#233; bizaad</lcc-lr:hasIndigenousName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Navajo-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Navaho</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Navajo</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">navaho</lcc-lr:hasFrenchName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">diné bizaad</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasGermanName xml:lang="ge">Navajo-Sprache</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3478,9 +3478,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>North Ndebele</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">North Ndebele language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">North Ndebele</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">nd&#233;b&#233;l&#233; du Nord</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ndebele-Sprache (Simbabwe)</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">North Ndebele</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ndébélé du Nord</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ndebele-Sprache (Simbabwe)</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">isiNdebele</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3490,9 +3490,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>South Ndebele</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">South Ndebele language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">South Ndebele</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">nd&#233;b&#233;l&#233; du Sud</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ndebele-Sprache (Transvaal)</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">South Ndebele</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ndébélé du Sud</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ndebele-Sprache (Transvaal)</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">isiNdebele</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3502,9 +3502,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Ndonga</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Ndonga language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ndonga</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ndonga</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ndonga</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Ndonga</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ndonga</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ndonga</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">oshindonga</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3514,10 +3514,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Nepali</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Nepali language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Nepali</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">n&#233;palais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Nepali</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nep&#257;l&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Nepali</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">népalais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Nepali</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nepālī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3526,9 +3526,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Norwegian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Norwegian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Norwegian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">norv&#233;gien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Norwegisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Norwegian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">norvégien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Norwegisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">norsk</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3538,10 +3538,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Norwegian Bokmal</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Norwegian Bokmal language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Norwegian Bokm&#229;l</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">norv&#233;gien bokm&#229;l</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Bokm&#229;l</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bokm&#229;l</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Norwegian Bokmål</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">norvégien bokmål</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Bokmål</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bokmål</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3550,9 +3550,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Norwegian Nynorsk</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Norwegian Nynorsk language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Norwegian Nynorsk</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">norv&#233;gien nynorsk</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Nynorsk</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Norwegian Nynorsk</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">norvégien nynorsk</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Nynorsk</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nynorsk</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
